﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using CMS.Ecommerce;
using CMS.SettingsProvider;

using CustomProviders;

[CustomProviderLoader]
public partial class CMSModuleLoader
{
    /// <summary>
    /// Attribute class that ensures the loading of custom providers.
    /// </summary>
    private class CustomProviderLoader : CMSLoaderAttribute
    {
        /// <summary>
        /// Called automatically when the application starts.
        /// </summary>
        public override void Init()
        {
            // Registers the custom provider class as the provider object.
            OrderInfoProvider.ProviderObject = new CustomOrderInfoProvider();
        }
    }
}